﻿using SqlSugar;
using System;
using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.DatabaseDefinitions
{
    /// <summary>
    /// 数据表基类
    /// </summary>
    public abstract class SugarBasicTable2
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true,ColumnDescription = "主键")]
        public string Id { get; set; } = "";
        /// <summary>
        /// 创建时间
        /// </summary>
        [Required]
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; } = DateTime.Now;

    }
}
